﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarWPF
{
    public class CustomDayButtonStyleSelector: StyleSelector
    {
        public Style HideButtonStyleSelector { get; set; }

        public CustomDayButtonStyleSelector()
        {
            this.HideButtonStyleSelector = new Style();
            this.HideButtonStyleSelector.Setters.Add(new Setter(FrameworkElement.VisibilityProperty, Visibility.Collapsed));
        }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            var content = item as CalendarButtonContent;

            if (content != null && content.ButtonType == CalendarButtonType.Date)
            {
                if (!content.IsFromCurrentView || content.IsInAnotherView)
                {
                    return this.HideButtonStyleSelector;
                }
            }

            return base.SelectStyle(item, container);
        }
    }
}
