﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace CalendarWPF
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<DateTime> selectedDates;
        private double? _Value;
        private bool isChangingValue;

        public ViewModel()
        {
            this.SelectedDates = new ObservableCollection<DateTime>();
            this.Value = 3;
        }

        public double? Value
        {
            get
            {
                return this._Value;
            }

            set
            {
                if (this._Value != value)
                {
                    this._Value = value;
                    this.OnPropertyChanged(() => this.Value);

                    this.selectedDates.Clear();
                    for (int i = 0; i < (int)value; i++)
                    {
                        this.selectedDates.Add(DateTime.Today.AddDays(i));
                    }
                }
            }
        }

        public ObservableCollection<DateTime> SelectedDates
        {
            get
            {
                return this.selectedDates;
            }
            set
            {
                if (this.selectedDates != value)
                {
                    this.selectedDates = value;
                    this.OnPropertyChanged("SelectedDates");
                }
            }
        }
    }
}
